"""
Author: Peter Mawhorter
Consulted
Date: 2022-2-1
Purpose: mixedUpMelodies testing code
 Tests functions from mixedUpMelodies, printing the pitch before and
 afterwards to show if it has changed.
"""

import wavesynth
import mixedUpMelodies

print("Start of testing.")
wavesynth.setPitch(wavesynth.C3)
print("Starting pitch is:", wavesynth.currentPitch())

# Uncomment one of these at a time to test your individual functions:
mixedUpMelodies.melodyIntro()
# mixedUpMelodies.melodyRefrain()
# mixedUpMelodies.melodyEnding()

# Uncomment this to test your mixedMelody function
# mixedUpMelodies.mixedMelody()

print("Final pitch is:", wavesynth.currentPitch())

wavesynth.printTrack()
wavesynth.saveTrack("melody.wav")
wavesynth.playTrack()
print("Done with testing.")
